stages:
- diff
- deploy
cdk-diff:
  stage: diff
  script:
  - cdk diff -o teststack
cdk-deploy:
  stage: deploy
  script:
  - pip3 install gcip
  - python3 -m gcip.addons.aws.tools.wait_for_cloudformation_stack_ready --stack-names
    'teststack'
  - cdk deploy --require-approval 'never' --strict -i --toolkit-stack-name CDKToolkit
    teststack
